import request from '@/utils/request'

// 查询img列表
export function listImgData(query) {
  return request({
    url: '/VRdemo/img/list',
    method: 'get',
    params: query
  })
}

// 查询img详细
export function getImgData(imageDataId) {
  return request({
    url: '/VRdemo/img/' + imageDataId,
    method: 'get'
  })
}

// 新增img
export function addImgData(data) {
  return request({
    url: '/VRdemo/img',
    method: 'post',
    data: data
  })
}

// 修改img
export function updateImgData(data) {
  return request({
    url: '/VRdemo/img',
    method: 'put',
    data: data
  })
}

// 删除img
export function delImgData(imageDataId) {
  return request({
    url: '/VRdemo/img/' + imageDataId,
    method: 'delete'
  })
}
